Check toytoolkit shm space reservation.
Closed, ResolvedPublic

Description

In window.c, display_create_shm_surface() uses data_length_for_shm_surface() to compute the pool size. However, that hardcodes RGBA32 pixel format, even if we were going to use RGB565.

Review the code, and fix the overallocation if it indeed happens.

Related Objects

pq created this task.Feb 24 2015, 11:47 AM
pq updated the task description. (Show Details)
pq raised the priority of this task from to Needs Triage.
pq added a project: Weston.
pq changed the visibility from "All Users" to "Public (No Login Required)".
pq added a subscriber: pq.
pq triaged this task as Low priority.Oct 12 2015, 10:20 AM
daniels added a subscriber: daniels.Jun 5 2018, 7:20 PM

GitLab Migration Automatic Message

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/wayland/weston/issues/4.

daniels closed this task as Closed.Jun 5 2018, 7:20 PM
daniels claimed this task.